# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Changed

- `add-master-log` now always create CSV file
- `convert-master-log` can still append to a CSV file

## [2.0.1]

### Fix

- version in Cargo.toml

## [2.0.0]

### Added

- `add-master-log` subcommand provide interactive session to upload master log to database via CSV

### Change

- *BREAKING* old `add-master-log` is now renamed to `convert-master-log`

## [1.1.0]

### Added

- Use `out_<runid>.csv` as default output path

## [1.0.1]

### Fixed

- update test for `retest` field
- version field in Cargo.toml

### Added

- updated check-db for `abnormal resistance`
- Docs (for japanese)
- automatically detect boards to retest

## [1.0.0] - 2024-07-25

### Added

- Subcommand `add-master-log` to parse master log for shiftwork 0.1.0 and write out to CSV.
- Subcommand `check-db` to validate the database CSV file.

[Unreleased]: https://gitlab.cern.ch/wotsubo/psboard-qaqc-postprocess/-/compare/v1.0.1...main
[2.0.1]: https://gitlab.cern.ch/wotsubo/psboard-qaqc-postprocess/-/compare/v2.0.0...v2.0.1
[2.0.0]: https://gitlab.cern.ch/wotsubo/psboard-qaqc-postprocess/-/compare/v1.1.0...v2.0.0
[1.1.0]: https://gitlab.cern.ch/wotsubo/psboard-qaqc-postprocess/-/compare/v1.0.1...v1.1.0
[1.0.1]: https://gitlab.cern.ch/wotsubo/psboard-qaqc-postprocess/-/compare/v1.0.0...v1.0.1
[1.0.0]: https://gitlab.cern.ch/wotsubo/psboard-qaqc-postprocess/-/tags/v1.0.0
